# SolrQuery::setHighlightRegexPattern

(PECL solr >= 0.9.2)

SolrQuery::setHighlightRegexPattern — Especifica la expresión regular para la fragmentación

### Descripción

public SolrQuery::setHighlightRegexPattern(string `$value`): SolrQuery

Especifica la expresión regular para la fragmentación. Esto podría usarse para extraer sentencias

### Parámetros

`value`

  La expresión regular para la fragmentación. Esto podría usarse para extraer sentencias

### Valores devueltos

Devuelve el objeto SolrQuery actual, si se usó el valor de retorno.